<?php
/**
 * @file
 * drop_jobs_candidate.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function drop_jobs_candidate_default_rules_configuration() {
  $items = array();
  $items['rules_create_candidate_resume'] = entity_import('rules_config', '{ "rules_create_candidate_resume" : {
      "LABEL" : "Create Candidate R\\u00e9sum\\u00e9",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "drop_jobs", "drop_jobs_candidate" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "user_insert" ],
      "IF" : [
        { "user_has_role" : { "account" : [ "account" ], "roles" : { "value" : { "6" : "6" } } } }
      ],
      "DO" : [
        { "entity_create" : {
            "USING" : {
              "type" : "profile2",
              "param_type" : "candidate",
              "param_user" : [ "account" ]
            },
            "PROVIDE" : { "entity_created" : { "profile_candidate" : "Candidate R\\u00e9sum\\u00e9" } }
          }
        }
      ]
    }
  }');
  $items['rules_register_as_candidate'] = entity_import('rules_config', '{ "rules_register_as_candidate" : {
      "LABEL" : "Register as Candidate",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-5",
      "TAGS" : [ "drop_jobs", "drop_jobs_candidate" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "user_insert" ],
      "IF" : [
        { "data_is" : { "data" : [ "site:current-page:path" ], "value" : "user\\/register" } }
      ],
      "DO" : [
        { "user_add_role" : { "account" : [ "account" ], "roles" : { "value" : { "6" : "6" } } } }
      ]
    }
  }');
  $items['rules_resume_label'] = entity_import('rules_config', '{ "rules_resume_label" : {
      "LABEL" : "Resume Label",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "drop_jobs_candidate" ],
      "REQUIRES" : [ "rules", "profile2" ],
      "ON" : [ "profile2_update" ],
      "IF" : [
        { "data_is" : { "data" : [ "profile2:type" ], "value" : "candidate" } },
        { "NOT data_is_empty" : { "data" : [ "profile2:field-candidate-job-prefs" ] } },
        { "NOT data_is" : {
            "data" : [ "profile2:label" ],
            "value" : [ "profile2:field-candidate-job-prefs:field-candidate-pref-title" ]
          }
        }
      ],
      "DO" : [
        { "data_set" : {
            "data" : [ "profile2:label" ],
            "value" : [ "profile2:field-candidate-job-prefs:field-candidate-pref-title" ]
          }
        }
      ]
    }
  }');
  return $items;
}
