<?php
/**
 * @file
 * drop_jobs_candidate.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function drop_jobs_candidate_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'drop_jobs_candidate';
  $view->description = 'Resume blocks';
  $view->tag = 'drop_jobs, drop_jobs_candidate';
  $view->base_table = 'profile';
  $view->human_name = 'Drop Jobs Candidate';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'New Resumes';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_first_name' => 'field_first_name',
    'field_candidate_pref_title' => 'field_candidate_pref_title',
  );
  $handler->display->display_options['row_options']['separator'] = '-';
  /* Relationship: Profile: Job Preferences (field_candidate_job_prefs) */
  $handler->display->display_options['relationships']['field_candidate_job_prefs_value']['id'] = 'field_candidate_job_prefs_value';
  $handler->display->display_options['relationships']['field_candidate_job_prefs_value']['table'] = 'field_data_field_candidate_job_prefs';
  $handler->display->display_options['relationships']['field_candidate_job_prefs_value']['field'] = 'field_candidate_job_prefs_value';
  $handler->display->display_options['relationships']['field_candidate_job_prefs_value']['label'] = 'Job Preferences';
  $handler->display->display_options['relationships']['field_candidate_job_prefs_value']['required'] = TRUE;
  $handler->display->display_options['relationships']['field_candidate_job_prefs_value']['delta'] = '-1';
  /* Relationship: Profile: Personal Information (field_candidate_personal_info) */
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['id'] = 'field_candidate_personal_info_value';
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['table'] = 'field_data_field_candidate_personal_info';
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['field'] = 'field_candidate_personal_info_value';
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['label'] = 'Personal Information';
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['delta'] = '-1';
  /* Field: Profile: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'views_entity_profile2';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['label'] = '';
  $handler->display->display_options['fields']['url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['url']['alter']['path'] = '[url]';
  $handler->display->display_options['fields']['url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['url']['display_as_link'] = FALSE;
  $handler->display->display_options['fields']['url']['link_to_entity'] = 0;
  /* Field: Field: First Name */
  $handler->display->display_options['fields']['field_first_name']['id'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['table'] = 'field_data_field_first_name';
  $handler->display->display_options['fields']['field_first_name']['field'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['relationship'] = 'field_candidate_personal_info_value';
  $handler->display->display_options['fields']['field_first_name']['label'] = '';
  $handler->display->display_options['fields']['field_first_name']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_first_name']['alter']['path'] = '[url]';
  $handler->display->display_options['fields']['field_first_name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_first_name']['type'] = 'text_plain';
  /* Field: Field collection item: Desired Job Title */
  $handler->display->display_options['fields']['field_candidate_pref_title']['id'] = 'field_candidate_pref_title';
  $handler->display->display_options['fields']['field_candidate_pref_title']['table'] = 'field_data_field_candidate_pref_title';
  $handler->display->display_options['fields']['field_candidate_pref_title']['field'] = 'field_candidate_pref_title';
  $handler->display->display_options['fields']['field_candidate_pref_title']['relationship'] = 'field_candidate_job_prefs_value';
  $handler->display->display_options['fields']['field_candidate_pref_title']['label'] = '';
  $handler->display->display_options['fields']['field_candidate_pref_title']['element_label_colon'] = FALSE;
  /* Sort criterion: Profile: Sticky (field_candidate_sticky) */
  $handler->display->display_options['sorts']['field_candidate_sticky_value']['id'] = 'field_candidate_sticky_value';
  $handler->display->display_options['sorts']['field_candidate_sticky_value']['table'] = 'field_data_field_candidate_sticky';
  $handler->display->display_options['sorts']['field_candidate_sticky_value']['field'] = 'field_candidate_sticky_value';
  $handler->display->display_options['sorts']['field_candidate_sticky_value']['order'] = 'DESC';
  /* Sort criterion: Profile: Promoted (field_candidate_promoted) */
  $handler->display->display_options['sorts']['field_candidate_promoted_value']['id'] = 'field_candidate_promoted_value';
  $handler->display->display_options['sorts']['field_candidate_promoted_value']['table'] = 'field_data_field_candidate_promoted';
  $handler->display->display_options['sorts']['field_candidate_promoted_value']['field'] = 'field_candidate_promoted_value';
  $handler->display->display_options['sorts']['field_candidate_promoted_value']['order'] = 'DESC';
  /* Sort criterion: Profile: Date created */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'profile';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['sorts']['created']['granularity'] = 'day';
  /* Filter criterion: Profile: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'profile';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'candidate' => 'candidate',
  );
  /* Filter criterion: Profile: State (field_candidate_state) */
  $handler->display->display_options['filters']['field_candidate_state_value']['id'] = 'field_candidate_state_value';
  $handler->display->display_options['filters']['field_candidate_state_value']['table'] = 'field_data_field_candidate_state';
  $handler->display->display_options['filters']['field_candidate_state_value']['field'] = 'field_candidate_state_value';
  $handler->display->display_options['filters']['field_candidate_state_value']['value'] = array(
    'visible' => 'visible',
  );

  /* Display: New Resumes block */
  $handler = $view->new_display('block', 'New Resumes block', 'block');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['block_description'] = 'New Resumes';
  $export['drop_jobs_candidate'] = $view;

  $view = new view();
  $view->name = 'drop_jobs_candidate_admin';
  $view->description = 'Administration page for Candidates';
  $view->tag = 'drop_jobs, drop_jobs_admin, drop_jobs_candidate';
  $view->base_table = 'profile';
  $view->human_name = 'Drop Jobs Candidate Admin';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Manage Candidates';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer drop_jobs_candidate';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'full_name' => 'full_name',
    'mail' => 'mail',
    'changed' => 'changed',
    'field_candidate_state' => 'field_candidate_state',
    'field_candidate_promoted' => 'field_candidate_promoted',
    'field_candidate_sticky' => 'field_candidate_sticky',
    'status' => 'status',
    'view_user' => 'view_user',
    'edit_node' => 'edit_node',
    'cancel_node' => 'cancel_node',
  );
  $handler->display->display_options['style_options']['default'] = 'changed';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'full_name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_candidate_state' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_candidate_promoted' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_candidate_sticky' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'view_user' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cancel_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Header: Global: Add Candidate Link */
  $handler->display->display_options['header']['dj_add_candidate']['id'] = 'dj_add_candidate';
  $handler->display->display_options['header']['dj_add_candidate']['table'] = 'views';
  $handler->display->display_options['header']['dj_add_candidate']['field'] = 'dj_add_candidate';
  $handler->display->display_options['header']['dj_add_candidate']['empty'] = TRUE;
  /* Footer: Global: Back to top */
  $handler->display->display_options['footer']['dj_back']['id'] = 'dj_back';
  $handler->display->display_options['footer']['dj_back']['table'] = 'views';
  $handler->display->display_options['footer']['dj_back']['field'] = 'dj_back';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'There are no candidates.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relationship: Profile: User uid */
  $handler->display->display_options['relationships']['user']['id'] = 'user';
  $handler->display->display_options['relationships']['user']['table'] = 'profile';
  $handler->display->display_options['relationships']['user']['field'] = 'user';
  $handler->display->display_options['relationships']['user']['required'] = TRUE;
  /* Relationship: Profile: Personal Information (field_candidate_personal_info) */
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['id'] = 'field_candidate_personal_info_value';
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['table'] = 'field_data_field_candidate_personal_info';
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['field'] = 'field_candidate_personal_info_value';
  $handler->display->display_options['relationships']['field_candidate_personal_info_value']['delta'] = '-1';
  /* Field: Bulk operations: Profile */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'profile';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 1,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
    'action::system_message_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
    'action::views_bulk_operations_script_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          '_all_' => '_all_',
        ),
      ),
      'postpone_processing' => 0,
    ),
    'action::views_bulk_operations_argument_selector_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'url' => '',
      ),
    ),
    'action::system_goto_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
    'action::system_send_email_action' => array(
      'selected' => 1,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
  );
  /* Field: Drop Jobs: Full name */
  $handler->display->display_options['fields']['full_name']['id'] = 'full_name';
  $handler->display->display_options['fields']['full_name']['table'] = 'drop_jobs_full_name';
  $handler->display->display_options['fields']['full_name']['field'] = 'full_name';
  $handler->display->display_options['fields']['full_name']['label'] = 'Name';
  $handler->display->display_options['fields']['full_name']['element_label_colon'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'user';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Profile: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'profile';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Updated';
  $handler->display->display_options['fields']['changed']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['changed']['date_format'] = 'time ago';
  /* Field: Profile: State */
  $handler->display->display_options['fields']['field_candidate_state']['id'] = 'field_candidate_state';
  $handler->display->display_options['fields']['field_candidate_state']['table'] = 'field_data_field_candidate_state';
  $handler->display->display_options['fields']['field_candidate_state']['field'] = 'field_candidate_state';
  $handler->display->display_options['fields']['field_candidate_state']['element_label_colon'] = FALSE;
  /* Field: Profile: Promoted */
  $handler->display->display_options['fields']['field_candidate_promoted']['id'] = 'field_candidate_promoted';
  $handler->display->display_options['fields']['field_candidate_promoted']['table'] = 'field_data_field_candidate_promoted';
  $handler->display->display_options['fields']['field_candidate_promoted']['field'] = 'field_candidate_promoted';
  $handler->display->display_options['fields']['field_candidate_promoted']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_candidate_promoted']['type'] = 'itoggle_formatter';
  $handler->display->display_options['fields']['field_candidate_promoted']['settings'] = array(
    'clickable' => 1,
    'display_type' => '1',
  );
  /* Field: Profile: Sticky */
  $handler->display->display_options['fields']['field_candidate_sticky']['id'] = 'field_candidate_sticky';
  $handler->display->display_options['fields']['field_candidate_sticky']['table'] = 'field_data_field_candidate_sticky';
  $handler->display->display_options['fields']['field_candidate_sticky']['field'] = 'field_candidate_sticky';
  $handler->display->display_options['fields']['field_candidate_sticky']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_candidate_sticky']['type'] = 'itoggle_formatter';
  $handler->display->display_options['fields']['field_candidate_sticky']['settings'] = array(
    'clickable' => 1,
    'display_type' => '1',
  );
  /* Field: User: Active */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'users';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['relationship'] = 'user';
  $handler->display->display_options['fields']['status']['label'] = 'User Status';
  $handler->display->display_options['fields']['status']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['status']['type'] = 'active-blocked';
  $handler->display->display_options['fields']['status']['not'] = 0;
  /* Field: User: Link */
  $handler->display->display_options['fields']['view_user']['id'] = 'view_user';
  $handler->display->display_options['fields']['view_user']['table'] = 'users';
  $handler->display->display_options['fields']['view_user']['field'] = 'view_user';
  $handler->display->display_options['fields']['view_user']['relationship'] = 'user';
  $handler->display->display_options['fields']['view_user']['label'] = '';
  $handler->display->display_options['fields']['view_user']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_user']['text'] = 'view';
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['relationship'] = 'user';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  /* Field: User: Cancel link */
  $handler->display->display_options['fields']['cancel_node']['id'] = 'cancel_node';
  $handler->display->display_options['fields']['cancel_node']['table'] = 'users';
  $handler->display->display_options['fields']['cancel_node']['field'] = 'cancel_node';
  $handler->display->display_options['fields']['cancel_node']['relationship'] = 'user';
  $handler->display->display_options['fields']['cancel_node']['label'] = '';
  $handler->display->display_options['fields']['cancel_node']['element_label_colon'] = FALSE;
  /* Filter criterion: Profile: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'profile';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'candidate' => 'candidate',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Profile: State (field_candidate_state) */
  $handler->display->display_options['filters']['field_candidate_state_value']['id'] = 'field_candidate_state_value';
  $handler->display->display_options['filters']['field_candidate_state_value']['table'] = 'field_data_field_candidate_state';
  $handler->display->display_options['filters']['field_candidate_state_value']['field'] = 'field_candidate_state_value';
  $handler->display->display_options['filters']['field_candidate_state_value']['group'] = 1;
  $handler->display->display_options['filters']['field_candidate_state_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_candidate_state_value']['expose']['operator_id'] = 'field_candidate_state_value_op';
  $handler->display->display_options['filters']['field_candidate_state_value']['expose']['label'] = 'State';
  $handler->display->display_options['filters']['field_candidate_state_value']['expose']['operator'] = 'field_candidate_state_value_op';
  $handler->display->display_options['filters']['field_candidate_state_value']['expose']['identifier'] = 'field_candidate_state_value';
  $handler->display->display_options['filters']['field_candidate_state_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    6 => 0,
    3 => 0,
    5 => 0,
    7 => 0,
  );
  /* Filter criterion: Profile: Promoted (field_candidate_promoted) */
  $handler->display->display_options['filters']['field_candidate_promoted_value']['id'] = 'field_candidate_promoted_value';
  $handler->display->display_options['filters']['field_candidate_promoted_value']['table'] = 'field_data_field_candidate_promoted';
  $handler->display->display_options['filters']['field_candidate_promoted_value']['field'] = 'field_candidate_promoted_value';
  $handler->display->display_options['filters']['field_candidate_promoted_value']['group'] = 1;
  $handler->display->display_options['filters']['field_candidate_promoted_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_candidate_promoted_value']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['field_candidate_promoted_value']['expose']['label'] = 'Promoted';
  $handler->display->display_options['filters']['field_candidate_promoted_value']['expose']['operator'] = 'field_candidate_promoted_value_op';
  $handler->display->display_options['filters']['field_candidate_promoted_value']['expose']['identifier'] = 'field_candidate_promoted_value';
  $handler->display->display_options['filters']['field_candidate_promoted_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    6 => 0,
    3 => 0,
    5 => 0,
    7 => 0,
  );
  /* Filter criterion: Profile: Sticky (field_candidate_sticky) */
  $handler->display->display_options['filters']['field_candidate_sticky_value']['id'] = 'field_candidate_sticky_value';
  $handler->display->display_options['filters']['field_candidate_sticky_value']['table'] = 'field_data_field_candidate_sticky';
  $handler->display->display_options['filters']['field_candidate_sticky_value']['field'] = 'field_candidate_sticky_value';
  $handler->display->display_options['filters']['field_candidate_sticky_value']['group'] = 1;
  $handler->display->display_options['filters']['field_candidate_sticky_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_candidate_sticky_value']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['field_candidate_sticky_value']['expose']['label'] = 'Sticky';
  $handler->display->display_options['filters']['field_candidate_sticky_value']['expose']['operator'] = 'field_candidate_sticky_value_op';
  $handler->display->display_options['filters']['field_candidate_sticky_value']['expose']['identifier'] = 'field_candidate_sticky_value';
  $handler->display->display_options['filters']['field_candidate_sticky_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    6 => 0,
    3 => 0,
    5 => 0,
    7 => 0,
  );
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'user';
  $handler->display->display_options['filters']['status']['value'] = 'All';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'User Active';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    6 => 0,
    3 => 0,
    5 => 0,
    7 => 0,
  );
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail']['id'] = 'mail';
  $handler->display->display_options['filters']['mail']['table'] = 'users';
  $handler->display->display_options['filters']['mail']['field'] = 'mail';
  $handler->display->display_options['filters']['mail']['relationship'] = 'user';
  $handler->display->display_options['filters']['mail']['group'] = 1;
  $handler->display->display_options['filters']['mail']['exposed'] = TRUE;
  $handler->display->display_options['filters']['mail']['expose']['operator_id'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['label'] = 'E-mail';
  $handler->display->display_options['filters']['mail']['expose']['operator'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['identifier'] = 'mail';
  $handler->display->display_options['filters']['mail']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    6 => 0,
    3 => 0,
    5 => 0,
    7 => 0,
  );

  /* Display: Candidates Admin Page */
  $handler = $view->new_display('page', 'Candidates Admin Page', 'page');
  $handler->display->display_options['display_description'] = 'Administration page for Candidates';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'admin/drop-jobs/candidates';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Candidates';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $export['drop_jobs_candidate_admin'] = $view;

  $view = new view();
  $view->name = 'drop_jobs_candidate_favorite';
  $view->description = '';
  $view->tag = 'drop_jobs, drop_jobs_candidate, flag';
  $view->base_table = 'profile';
  $view->human_name = 'My favorite candidates';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'My favorite candidates';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'flag favorite_candidate';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'timestamp' => 'timestamp',
    'view_user' => 'view_user',
    'ops' => 'ops',
    'name' => 'name',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'timestamp' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'view_user' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'You have no favorite candidates.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relationship: Profile: User uid */
  $handler->display->display_options['relationships']['user']['id'] = 'user';
  $handler->display->display_options['relationships']['user']['table'] = 'profile';
  $handler->display->display_options['relationships']['user']['field'] = 'user';
  $handler->display->display_options['relationships']['user']['required'] = TRUE;
  /* Relationship: Flags: favorite_candidate */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'profile';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'favorite_candidate';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'user';
  $handler->display->display_options['fields']['name']['label'] = 'Username';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['link_to_user'] = FALSE;
  /* Field: Flags: Flagged time */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'flagging';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['timestamp']['label'] = 'Date Saved';
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'time ago';
  /* Field: User: Link */
  $handler->display->display_options['fields']['view_user']['id'] = 'view_user';
  $handler->display->display_options['fields']['view_user']['table'] = 'users';
  $handler->display->display_options['fields']['view_user']['field'] = 'view_user';
  $handler->display->display_options['fields']['view_user']['relationship'] = 'user';
  $handler->display->display_options['fields']['view_user']['label'] = '';
  $handler->display->display_options['fields']['view_user']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_user']['text'] = 'view';
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = 'Operations';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Sort criterion: Flags: Flagged time */
  $handler->display->display_options['sorts']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['sorts']['timestamp']['table'] = 'flagging';
  $handler->display->display_options['sorts']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['sorts']['timestamp']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['sorts']['timestamp']['order'] = 'DESC';
  /* Filter criterion: Profile: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'profile';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'candidate' => 'candidate',
  );

  /* Display: Favorite Candidates page */
  $handler = $view->new_display('page', 'Favorite Candidates page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'dashboard/favorite-candidates';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Favorite candidates';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $export['drop_jobs_candidate_favorite'] = $view;

  return $export;
}
