<?php
/**
 * @file
 * drop_jobs_employer.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function drop_jobs_employer_default_rules_configuration() {
  $items = array();
  $items['rules_create_employer_profile'] = entity_import('rules_config', '{ "rules_create_employer_profile" : {
      "LABEL" : "Create Employer Profile",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "drop_jobs", "drop_jobs_employer" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "user_insert" ],
      "IF" : [
        { "user_has_role" : { "account" : [ "account" ], "roles" : { "value" : { "5" : "5" } } } }
      ],
      "DO" : [
        { "entity_create" : {
            "USING" : {
              "type" : "profile2",
              "param_type" : "employer",
              "param_user" : [ "account" ]
            },
            "PROVIDE" : { "entity_created" : { "profile_employer" : "Employer Profile" } }
          }
        }
      ]
    }
  }');
  $items['rules_recruiter_label'] = entity_import('rules_config', '{ "rules_recruiter_label" : {
      "LABEL" : "Recruiter Label",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "drop_jobs_employer" ],
      "REQUIRES" : [ "rules", "profile2" ],
      "ON" : [ "profile2_update" ],
      "IF" : [
        { "data_is" : { "data" : [ "profile2:type" ], "value" : "employer" } },
        { "NOT data_is_empty" : { "data" : [ "profile2:field-first-name" ] } },
        { "NOT data_is_empty" : { "data" : [ "profile2:field-last-name" ] } }
      ],
      "DO" : [
        { "data_set" : {
            "data" : [ "profile2:label" ],
            "value" : "[profile2:field-first-name] [profile2:field-last-name]"
          }
        }
      ]
    }
  }');
  $items['rules_register_as_employer'] = entity_import('rules_config', '{ "rules_register_as_employer" : {
      "LABEL" : "Register as Employer",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-5",
      "TAGS" : [ "drop_jobs", "drop_jobs_employer" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "user_insert" ],
      "IF" : [
        { "data_is" : {
            "data" : [ "site:current-page:path" ],
            "value" : "user\\/register\\/employer"
          }
        }
      ],
      "DO" : [
        { "user_add_role" : { "account" : [ "account" ], "roles" : { "value" : { "5" : "5" } } } }
      ]
    }
  }');
  return $items;
}
