<?php
/**
 * @file
 * drop_jobs_search.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function drop_jobs_search_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "current_search" && $api == "current_search") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "facetapi" && $api == "facetapi_defaults") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function drop_jobs_search_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_default_search_api_index().
 */
function drop_jobs_search_default_search_api_index() {
  $items = array();
  $items['job_index'] = entity_import('search_api_index', '{
    "name" : "Job Index",
    "machine_name" : "job_index",
    "description" : "Index job nodes.",
    "server" : "db_server",
    "item_type" : "node",
    "options" : {
      "index_directly" : 1,
      "cron_limit" : "50",
      "fields" : {
        "type" : { "type" : "string" },
        "status" : { "type" : "boolean" },
        "promote" : { "type" : "boolean" },
        "sticky" : { "type" : "boolean" },
        "created" : { "type" : "date" },
        "changed" : { "type" : "date" },
        "author" : { "type" : "integer", "entity_type" : "user" },
        "field_job_degree_level" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_job_experience" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_job_field" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_job_organization" : { "type" : "string" },
        "field_job_skills" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_job_study" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_job_tags" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_job_type" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_salary" : { "type" : "decimal" },
        "search_api_language" : { "type" : "string" },
        "search_api_viewed" : { "type" : "text" },
        "search_api_aggregation_1" : { "type" : "text" },
        "field_address:country" : { "type" : "string" },
        "field_address:administrative_area" : { "type" : "string" },
        "field_address:locality" : { "type" : "string" },
        "field_job_degree_level:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_job_experience:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_job_field:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_job_skills:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_job_study:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_job_tags:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_job_type:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-50",
          "settings" : { "default" : "0", "bundles" : { "job" : "job" } }
        },
        "search_api_alter_node_access" : { "status" : 0, "weight" : "-49", "settings" : [] },
        "search_api_alter_node_status" : { "status" : 0, "weight" : "-48", "settings" : [] },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "-47", "settings" : { "fields" : [] } },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "-46", "settings" : [] },
        "search_api_alter_add_aggregation" : {
          "status" : 1,
          "weight" : "-45",
          "settings" : { "fields" : { "search_api_aggregation_1" : {
                "name" : "Job Location",
                "type" : "fulltext",
                "fields" : [
                  "field_address:country",
                  "field_address:administrative_area",
                  "field_address:locality"
                ],
                "description" : "A Fulltext aggregation of the following fields: Address \\u00bb Country, Address \\u00bb Administrative area (i.e. State \\/ Province), Address \\u00bb Locality (i.e. City)."
              }
            }
          }
        },
        "search_api_alter_add_viewed_entity" : { "status" : 1, "weight" : "-44", "settings" : { "mode" : "full" } }
      },
      "processors" : {
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : { "search_api_viewed" : true } }
        },
        "search_api_html_filter" : {
          "status" : 1,
          "weight" : "10",
          "settings" : {
            "fields" : { "search_api_viewed" : true },
            "title" : 0,
            "alt" : 0,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_tokenizer" : {
          "status" : 1,
          "weight" : "20",
          "settings" : {
            "fields" : { "search_api_viewed" : true },
            "spaces" : "[^[:alnum:]]",
            "ignorable" : "[\\u0027]"
          }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : [],
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0",
    "rdf_mapping" : []
  }');
  $items['resume_index'] = entity_import('search_api_index', '{
    "name" : "Resume Index",
    "machine_name" : "resume_index",
    "description" : "Index resume profiles.",
    "server" : "db_server",
    "item_type" : "profile2",
    "options" : {
      "index_directly" : 1,
      "cron_limit" : "50",
      "fields" : {
        "type" : { "type" : "string", "entity_type" : "profile2_type" },
        "created" : { "type" : "date" },
        "changed" : { "type" : "date" },
        "user" : { "type" : "integer", "entity_type" : "user" },
        "field_candidate_promoted" : { "type" : "boolean" },
        "field_candidate_state" : { "type" : "string" },
        "field_candidate_sticky" : { "type" : "boolean" },
        "search_api_language" : { "type" : "string" },
        "search_api_viewed" : { "type" : "text" },
        "field_candidate_education:field_candidate_edu_field" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_candidate_education:field_candidate_edu_level" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_candidate_education:field_candidate_edu_name" : { "type" : "list\\u003Cstring\\u003E" },
        "field_candidate_experience:field_candidate_exp_company_name" : { "type" : "list\\u003Cstring\\u003E" },
        "field_candidate_experience:field_candidate_exp_field" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_candidate_job_prefs:field_candidate_pref_occupation" : { "type" : "integer", "entity_type" : "taxonomy_term" },
        "field_candidate_education:field_candidate_edu_field:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_candidate_education:field_candidate_edu_level:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        },
        "field_candidate_languages:field_candidate_language:term" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_candidate_skills:field_candidate_skills_level:term:parents_all" : {
          "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
          "entity_type" : "taxonomy_term"
        }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-10",
          "settings" : { "default" : "0", "bundles" : { "candidate" : "candidate" } }
        },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } },
        "search_api_alter_add_viewed_entity" : { "status" : 1, "weight" : "0", "settings" : { "mode" : "account" } },
        "search_api_alter_add_aggregation" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "0", "settings" : [] }
      },
      "processors" : {
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : { "search_api_viewed" : true } }
        },
        "search_api_html_filter" : {
          "status" : 1,
          "weight" : "10",
          "settings" : {
            "fields" : { "search_api_viewed" : true },
            "title" : 0,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_tokenizer" : {
          "status" : 1,
          "weight" : "20",
          "settings" : {
            "fields" : { "search_api_viewed" : true },
            "spaces" : "[^[:alnum:]]",
            "ignorable" : "[\\u0027]"
          }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : [],
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0",
    "rdf_mapping" : []
  }');
  return $items;
}

/**
 * Implements hook_default_search_api_saved_searches_settings().
 */
function drop_jobs_search_default_search_api_saved_searches_settings() {
  $items = array();
  $items['job_index'] = entity_import('search_api_saved_searches_settings', '{
    "delta" : "job_index",
    "index_id" : "job_index",
    "enabled" : "1",
    "options" : {
      "description" : "Get notified of similar jobs!",
      "registered_choose_mail" : 0,
      "choose_name" : 1,
      "default_true" : true,
      "ids_list" : [],
      "user_select_interval" : 1,
      "interval_options" : { "86400" : "Daily", "604800" : "Weekly", "2592000" : "Monthly" },
      "set_interval" : "86400",
      "mail" : {
        "activate" : {
          "send" : 1,
          "title" : "Activate your saved search at [site:name]",
          "body" : "A saved search on [site:name] with this e-mail address was created.\\r\\nTo activate this saved search, click the following link:\\r\\n\\r\\n[search-api-saved-search:activate-url]\\r\\n\\r\\nIf you didn\\u0027t create this saved search, just ignore this mail and it will be deleted.\\r\\n\\r\\n--  [site:name] team"
        },
        "notify" : {
          "title" : "New results for your saved search at [site:name]",
          "body" : "[user:name],\\r\\n\\r\\nThere are new results for your saved search on [site:name]:\\r\\n\\r\\n[search-api-saved-searches:results]\\r\\n\\r\\nYou can configure your saved searches at the following address:\\r\\n[user:search-api-saved-searches-url]\\r\\n\\r\\n--  [site:name] team",
          "results" : "New results for search \\u0022[search-api-saved-search:name]\\u0022:\\r\\n[search-api-saved-search:items]",
          "result" : "[search-api-saved-search-result:label] ([search-api-saved-search-result:url])"
        }
      },
      "manual" : {
        "allow" : 0,
        "fulltext" : 0,
        "fields" : [],
        "page" : { "path" : "", "fulltext" : "", "direct_filter_params" : "0" }
      }
    },
    "rdf_mapping" : []
  }');
  $items['resume_index'] = entity_import('search_api_saved_searches_settings', '{
    "delta" : "resume_index",
    "index_id" : "resume_index",
    "enabled" : "1",
    "options" : {
      "description" : "Get notified of similar r\\u00e9sum\\u00e9s!",
      "registered_choose_mail" : 0,
      "choose_name" : 1,
      "default_true" : true,
      "ids_list" : [],
      "user_select_interval" : 1,
      "interval_options" : { "86400" : "Daily", "604800" : "Weekly", "2592000" : "Monthly" },
      "set_interval" : "86400",
      "mail" : {
        "activate" : {
          "send" : 1,
          "title" : "Activate your saved search at [site:name]",
          "body" : "A saved search on [site:name] with this e-mail address was created.\\r\\nTo activate this saved search, click the following link:\\r\\n\\r\\n[search-api-saved-search:activate-url]\\r\\n\\r\\nIf you didn\\u0027t create this saved search, just ignore this mail and it will be deleted.\\r\\n\\r\\n--  [site:name] team"
        },
        "notify" : {
          "title" : "New results for your saved search at [site:name]",
          "body" : "[user:name],\\r\\n\\r\\nThere are new results for your saved search on [site:name]:\\r\\n\\r\\n[search-api-saved-searches:results]\\r\\n\\r\\nYou can configure your saved searches at the following address:\\r\\n[user:search-api-saved-searches-url]\\r\\n\\r\\n--  [site:name] team",
          "results" : "New results for search \\u0022[search-api-saved-search:name]\\u0022:\\r\\n[search-api-saved-search:items]",
          "result" : "[search-api-saved-search-result:label] ([search-api-saved-search-result:url])"
        }
      },
      "manual" : {
        "allow" : 0,
        "fulltext" : 0,
        "fields" : [],
        "page" : { "path" : "", "fulltext" : "", "direct_filter_params" : "0" }
      }
    },
    "rdf_mapping" : []
  }');
  return $items;
}

/**
 * Implements hook_default_search_api_server().
 */
function drop_jobs_search_default_search_api_server() {
  $items = array();
  $items['db_server'] = entity_import('search_api_server', '{
    "name" : "Database Server",
    "machine_name" : "db_server",
    "description" : "",
    "class" : "search_api_db_service",
    "options" : {
      "database" : "default:default",
      "min_chars" : "3",
      "indexes" : {
        "job_index" : {
          "type" : {
            "table" : "search_api_db_job_index_type",
            "type" : "string",
            "boost" : "1.0"
          },
          "status" : {
            "table" : "search_api_db_job_index_status",
            "type" : "boolean",
            "boost" : "1.0"
          },
          "promote" : {
            "table" : "search_api_db_job_index_promote",
            "type" : "boolean",
            "boost" : "1.0"
          },
          "sticky" : {
            "table" : "search_api_db_job_index_sticky",
            "type" : "boolean",
            "boost" : "1.0"
          },
          "created" : {
            "table" : "search_api_db_job_index_created",
            "type" : "date",
            "boost" : "1.0"
          },
          "changed" : {
            "table" : "search_api_db_job_index_changed",
            "type" : "date",
            "boost" : "1.0"
          },
          "author" : {
            "table" : "search_api_db_job_index_author",
            "type" : "integer",
            "boost" : "1.0"
          },
          "field_job_type" : {
            "table" : "search_api_db_job_index_field_job_type",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_salary" : {
            "table" : "search_api_db_job_index_field_salary",
            "type" : "decimal",
            "boost" : "1.0"
          },
          "field_job_degree_level" : {
            "table" : "search_api_db_job_index_field_job_degree_level",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_job_experience" : {
            "table" : "search_api_db_job_index_field_job_experience",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_job_field" : {
            "table" : "search_api_db_job_index_field_job_field",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_job_organization" : {
            "table" : "search_api_db_job_index_field_job_organization",
            "type" : "string",
            "boost" : "1.0"
          },
          "field_job_skills" : {
            "table" : "search_api_db_job_index_field_job_skills",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_job_study" : {
            "table" : "search_api_db_job_index_field_job_study",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_job_tags" : {
            "table" : "search_api_db_job_index_field_job_tags",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "search_api_language" : {
            "table" : "search_api_db_job_index_search_api_language",
            "type" : "string",
            "boost" : "1.0"
          },
          "search_api_viewed" : {
            "table" : "search_api_db_job_index_search_api_viewed",
            "type" : "text",
            "boost" : "1.0"
          },
          "search_api_aggregation_1" : {
            "table" : "search_api_db_job_index_search_api_aggregation_1",
            "type" : "text",
            "boost" : "1.0"
          },
          "field_job_type:parents_all" : {
            "table" : "search_api_db_job_index_field_job_type_parents_all",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_address:country" : {
            "table" : "search_api_db_job_index_field_address_country",
            "type" : "string",
            "boost" : "1.0"
          },
          "field_address:administrative_area" : {
            "table" : "search_api_db_job_index_field_address_administrative_area",
            "type" : "string",
            "boost" : "1.0"
          },
          "field_address:locality" : {
            "table" : "search_api_db_job_index_field_address_locality",
            "type" : "string",
            "boost" : "1.0"
          },
          "field_job_degree_level:parents_all" : {
            "table" : "search_api_db_job_index_field_job_degree_level_parents_all",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_job_experience:parents_all" : {
            "table" : "search_api_db_job_index_field_job_experience_parents_all",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_job_field:parents_all" : {
            "table" : "search_api_db_job_index_field_job_field_parents_all",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_job_skills:parents_all" : {
            "table" : "search_api_db_job_index_field_job_skills_parents_all",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_job_study:parents_all" : {
            "table" : "search_api_db_job_index_field_job_study_parents_all",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_job_tags:parents_all" : {
            "table" : "search_api_db_job_index_field_job_tags_parents_all",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          }
        },
        "resume_index" : {
          "type" : {
            "table" : "search_api_db_resume_index_type",
            "type" : "string",
            "boost" : "1.0"
          },
          "created" : {
            "table" : "search_api_db_resume_index_created",
            "type" : "date",
            "boost" : "1.0"
          },
          "changed" : {
            "table" : "search_api_db_resume_index_changed",
            "type" : "date",
            "boost" : "1.0"
          },
          "user" : {
            "table" : "search_api_db_resume_index_user",
            "type" : "integer",
            "boost" : "1.0"
          },
          "field_candidate_promoted" : {
            "table" : "search_api_db_resume_index_field_candidate_promoted",
            "type" : "boolean",
            "boost" : "1.0"
          },
          "field_candidate_state" : {
            "table" : "search_api_db_resume_index_field_candidate_state",
            "type" : "string",
            "boost" : "1.0"
          },
          "field_candidate_sticky" : {
            "table" : "search_api_db_resume_index_field_candidate_sticky",
            "type" : "boolean",
            "boost" : "1.0"
          },
          "search_api_language" : {
            "table" : "search_api_db_resume_index_search_api_language",
            "type" : "string",
            "boost" : "1.0"
          },
          "search_api_viewed" : {
            "table" : "search_api_db_resume_index_search_api_viewed",
            "type" : "text",
            "boost" : "1.0"
          },
          "field_candidate_education:field_candidate_edu_field" : {
            "table" : "search_api_db_resume_index_field_candidate_education_field_cand",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_education:field_candidate_edu_level" : {
            "table" : "search_api_db_resume_index_field_candidate_education_field_ca_1",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_education:field_candidate_edu_name" : {
            "table" : "search_api_db_resume_index_field_candidate_education_field_ca_2",
            "type" : "list\\u003Cstring\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_experience:field_candidate_exp_company_name" : {
            "table" : "search_api_db_resume_index_field_candidate_experience_field_can",
            "type" : "list\\u003Cstring\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_experience:field_candidate_exp_field" : {
            "table" : "search_api_db_resume_index_field_candidate_experience_field_c_1",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_job_prefs:field_candidate_pref_occupation" : {
            "table" : "search_api_db_resume_index_field_candidate_job_prefs_field_cand",
            "type" : "integer",
            "boost" : "1.0"
          },
          "field_candidate_education:field_candidate_edu_field:parents_all" : {
            "table" : "search_api_db_resume_index_field_candidate_education_field_ca_3",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_education:field_candidate_edu_level:parents_all" : {
            "table" : "search_api_db_resume_index_field_candidate_education_field_ca_4",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_languages:field_candidate_language:term" : {
            "table" : "search_api_db_resume_index_field_candidate_languages_field_cand",
            "type" : "list\\u003Cinteger\\u003E",
            "boost" : "1.0"
          },
          "field_candidate_skills:field_candidate_skills_level:term:parents_all" : {
            "table" : "search_api_db_resume_index_field_candidate_skills_field_candida",
            "type" : "list\\u003Clist\\u003Cinteger\\u003E\\u003E",
            "boost" : "1.0"
          }
        }
      }
    },
    "enabled" : "1",
    "rdf_mapping" : []
  }');
  return $items;
}
